_type: prompt
input_variables:
- "\n  \"hard_skills\""
- job_description
metadata:
name: job_data
optional_variables: []
output_parser:
partial_variables: {}
tags:
template: |
  Extract the keywords and key phrases for 'hard_skills', 'soft_skills', 'key_responsibilities', and 'benefits' from the provided job description. Return the result as a JSON object (dictionary of lists) in the following format:

  {{
    "hard_skills": [...],
    "soft_skills": [...],
    "key_responsibilities": [...],
    "benefits": [...]
  }}

  - Include only relevant keywords or phrases for each category.
  - Ensure the output is pure JSON with no additional text before or after.
  - Preserve the original phrasing of the keywords and phrases from the input.
  - If a category has no matching keywords, return an empty list for that category.

  Input:

  {job_description}
template_format: f-string
validate_template: false
